<template>
  <InfinityScroll bread-crumb="Cats" model-name="Cat" ref="infinityData" :store="catsStore" />
</template>

<script lang="ts" setup>
import { ref } from 'vue'
import useCatsStore from 'stores/cats'
import InfinityScroll from 'components/InfinityScroll.vue'

const catsStore = useCatsStore()
const infinityData = ref()

const openDialog = () => {
  infinityData.value.openDataDialog()
}

defineExpose({
  openDialog
})
</script>
